telnet_interface.c File Reference
Telnet Interface
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <errno.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <osmocom/core/msgb.h>`
`#include <osmocom/core/socket.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/core/signal.h>`
`#include <osmocom/vty/telnet_interface.h>`
`#include <osmocom/vty/buffer.h>`
`#include <osmocom/vty/command.h>`

## Functions

| LLIST_HEAD (active_connections)
static int | telnet_new_connection (struct osmo_fd *fd, unsigned int what)
int | telnet_init (void *tall_ctx, void *priv, int port)
| Initialize telnet based VTY interface listening to 127.0.0.1. More...
int | telnet_init_dynif (void *tall_ctx, void *priv, const char *ip, int port)
| Initialize telnet based VTY interface. More...
int | telnet_close_client (struct osmo_fd *fd)
| close a telnet connection
static int | client_data (struct osmo_fd *fd, unsigned int what)
void | vty_event (enum event event, int sock, struct vty *vty)
| callback from core VTY code about VTY related events
void | telnet_exit (void)

## Variables

static void * | tall_telnet_ctx
static struct osmo_fd | server_socket
struct host | host